/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.packageinstaller.shadows;

import android.content.pm.PackageInstaller;
import android.util.SparseArray;

import org.robolectric.annotation.Implementation;
import org.robolectric.annotation.Implements;

/** Robolectric shadow for testing {@link PackageInstaller} objects. */
@Implements(PackageInstaller.class)
public class ShadowPackageInstaller {
    private static SparseArray<PackageInstaller.SessionInfo> sSessions = new SparseArray<>();

    public static void putSessionInfo(PackageInstaller.SessionInfo info) {
        sSessions.put(info.sessionId, info);
    }

    @Implementation
    public PackageInstaller.SessionInfo getSessionInfo(int sessionId) {
        return sSessions.get(sessionId);
    }
}
